=== contrib/zsh/CMakeLists.txt ===
#
# Zsh completion template
#
install(FILES _polybar _polybar_msg
  DESTINATION ${CMAKE_INSTALL_DATADIR}/zsh/site-functions
  COMPONENT tools)
