=== debian/changelog ===
polybar (3.5.5-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Mar 2021 08:43:39 -0700

polybar (3.5.5-1) unstable; urgency=medium

  * New upstream version 3.5.5

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 02 Mar 2021 02:52:57 +0530
