## polybar 3.5.6

=== debian/changelog ===
polybar (3.5.6-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Jun 2021 13:59:13 -0700
