=== debian/changelog ===
polybar (3.5.7-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Jan 2022 14:57:06 -0800

polybar (3.5.7-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 09 Oct 2021 23:58:59 -0400

polybar (3.5.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 03 Oct 2021 22:32:14 +0100

polybar (3.5.7-1) unstable; urgency=medium

  * New upstream version 3.5.7
  * Bump Standards-Version to 4.6.0

 -- Samuel Henrique <samueloph@debian.org>  Fri, 24 Sep 2021 20:11:29 +0100

polybar (3.5.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Sep 2021 13:26:55 +0100

polybar (3.5.6-1) unstable; urgency=medium

  * New upstream version 3.5.6

 -- Samuel Henrique <samueloph@debian.org>  Sat, 14 Aug 2021 18:20:54 +0100
