=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: https://polybar.github.io/
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Samuel Henrique <samueloph@debian.org>
+XSBC-Original-Original-Maintainer: Samuel Henrique <samueloph@debian.org>
 Uploaders: Utkarsh Gupta <utkarsh@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
@@ -31,7 +31,7 @@
                python3-sphinx,
                python3-xcbgen,
                xcb-proto
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/polybar
 Vcs-Git: https://salsa.debian.org/debian/polybar.git
