=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 %:
 	dh $@ --buildsystem=cmake --builddirectory=build
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure --		   \
@@ -23,6 +26,3 @@
 
 override_dh_compress:
 	dh_compress --exclude=config
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
