=== lib/xpp/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.5.0 FATAL_ERROR)
 project(xpp)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
@@ -111,32 +111,32 @@
     "xvmc")
 endif()
 
-if(";${XCB_PROTOS};" MATCHES ";randr;")
+if("randr" IN_LIST XCB_PROTOS)
   find_package(XCB REQUIRED RANDR)
   set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_RANDR_INCLUDE_DIR})
   set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_RANDR_LIBRARY})
 endif()
-if(";${XCB_PROTOS};" MATCHES ";render;")
+if("render" IN_LIST XCB_PROTOS)
   find_package(XCB REQUIRED RENDER)
   set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_RENDER_INCLUDE_DIR})
   set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_RENDER_LIBRARY})
 endif()
-if(";${XCB_PROTOS};" MATCHES ";damage;")
+if("damage" IN_LIST XCB_PROTOS)
   find_package(XCB REQUIRED DAMAGE)
   set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_DAMAGE_INCLUDE_DIR})
   set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_DAMAGE_LIBRARY})
 endif()
-if(";${XCB_PROTOS};" MATCHES ";sync;")
+if("sync" IN_LIST XCB_PROTOS)
   find_package(XCB REQUIRED SYNC)
   set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_SYNC_INCLUDE_DIR})
   set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_SYNC_LIBRARY})
 endif()
-if(";${XCB_PROTOS};" MATCHES ";composite;")
+if("composite" IN_LIST XCB_PROTOS)
   find_package(XCB REQUIRED COMPOSITE)
   set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_COMPOSITE_INCLUDE_DIR})
   set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_COMPOSITE_LIBRARY})
 endif()
-if(";${XCB_PROTOS};" MATCHES ";xkb;")
+if("xkb" IN_LIST XCB_PROTOS)
   find_package(XCB REQUIRED XKB)
   set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_XKB_INCLUDE_DIR})
   set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_XKB_LIBRARY})
@@ -151,7 +151,7 @@
 #
 foreach(PROTO_RAW ${PROTO_LIST_RAW})
   string(REGEX REPLACE "(^xf86vidmode.xml|^ge.xml|.xml)\$" "" PROTO ${PROTO_RAW})
-  if(PROTO AND ";${XCB_PROTOS};" MATCHES ";${PROTO};")
+  if(PROTO AND "${PROTO}" IN_LIST XCB_PROTOS)
     message(STATUS "${PROJECT_NAME}: including xcb proto ${PROTO_RAW}")
     set(PROTO_LIST ${PROTO_LIST} ${PROTO})
   endif()
@@ -185,7 +185,7 @@
 target_compile_options(${PROJECT_NAME} PRIVATE -std=c++14 -Wall -Wpedantic)
 target_compile_options(${PROJECT_NAME} PRIVATE $<$<CONFIG:Debug>:-g3 -DDEBUG>)
 target_compile_options(${PROJECT_NAME} PRIVATE $<$<CONFIG:Release>:-O3 -Wno-unused-variable>)
-target_compile_options(${PROJECT_NAME} PUBLIC ${X11_XCB_DEFINITIONS} ${XCB_DEFINITIONS})
+target_compile_options(${PROJECT_NAME} PUBLIC ${XCB_DEFINITIONS})
 
 set_target_properties(${PROJECT_NAME} PROPERTIES LINKER_LANGUAGE CXX)
