=== debian/changelog ===
polybar (3.6.3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 May 2022 15:14:45 -0700

polybar (3.6.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Samuel Henrique <samueloph@debian.org>  Fri, 13 May 2022 19:08:08 +0100

polybar (3.6.3-1) unstable; urgency=medium

  * New upstream version 3.6.3

 -- Samuel Henrique <samueloph@debian.org>  Fri, 06 May 2022 17:32:25 +0100

polybar (3.6.2-1) unstable; urgency=medium

  * New upstream version 3.6.2

 -- Samuel Henrique <samueloph@debian.org>  Sun, 03 Apr 2022 19:50:25 +0100

polybar (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1
  * Remove patches applied upstream

 -- Samuel Henrique <samueloph@debian.org>  Sat, 05 Mar 2022 19:26:21 +0000

polybar (3.6.0-3) unstable; urgency=medium

  * d/p/fix_ldflags_override.patch: New upstream patch to fix ldflags override
    and hopefully a FTBFS on mipsel and armel

 -- Samuel Henrique <samueloph@debian.org>  Fri, 04 Mar 2022 19:39:01 +0000

polybar (3.6.0-2) unstable; urgency=medium

  * d/p/fix_missing_includes.patch: New upstream patch to fix FTBFS

 -- Samuel Henrique <samueloph@debian.org>  Wed, 02 Mar 2022 21:38:12 +0000

polybar (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0
  * Remove unneeded patches in favor of config flags
  * d/control: Add new B-D libuv1-dev
  * d/p/fix_doc_flags.patch: New patch to allow skipping installation of docs
  * d/polybar.install: Remove file, upstream now installs config example
  * d/copyright: Update file
  * d/salsa-ci.yml: Remove file in favor of configuring salsa by pointing to
    salsa-ci project instead of file

 -- Samuel Henrique <samueloph@debian.org>  Tue, 01 Mar 2022 22:20:40 +0000
