=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Homepage: https://polybar.github.io/
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Original-Maintainer: Samuel Henrique <samueloph@debian.org>
+XSBC-Original-Maintainer: Samuel Henrique <samueloph@debian.org>
 Uploaders: Utkarsh Gupta <utkarsh@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                i3-wm,
                libasound2-dev,
                libcairo2-dev,
@@ -15,6 +15,7 @@
                libmpdclient-dev,
                libnl-genl-3-dev,
                libpulse-dev,
+               libuv1-dev,
                libxcb-composite0-dev,
                libxcb-cursor-dev,
                libxcb-damage0-dev,
