=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,12 @@
 %:
 	dh $@ --buildsystem=cmake --builddirectory=build
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_configure:
-	dh_auto_configure --		   \
+	dh_auto_configure --		       \
 	  -DBUILD_DOC:BOOL="ON"            \
-	  -DBUILD_TESTS:BOOL="OFF"          \
+	  -DBUILD_TESTS:BOOL="OFF"         \
+	  -DBUILD_DOC_HTML:BOOL="OFF"      \
+	  -DBUILD_CONFIG:BOOL="ON"      \
 	  -DENABLE_ALSA:BOOL="ON"          \
 	  -DENABLE_PULSEAUDIO:BOOL="ON"    \
 	  -DENABLE_I3:BOOL="ON"            \
@@ -26,3 +25,6 @@
 
 override_dh_compress:
 	dh_compress --exclude=config
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
